summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author klaatu <klaatu@member.fsf.org>2015-03-18 23:53:08 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-03-18 23:53:08 +0700
commit05d334f2d7a6b244b73f59724eaed9114e60ff80 (patch)
treee66d005bfa9ae2a9ac00441935be3e956451eb11 /multimedia
parentb3e29c416229a71ed9063a0337aca511389842a0 (diff)
downloadslackbuilds-05d334f2d7a6b244b73f59724eaed9114e60ff80.tar.gz
slackbuilds-05d334f2d7a6b244b73f59724eaed9114e60ff80.tar.xz
multimedia/lwks: Added (professional NLE).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/lwks/README51
-rw-r--r--multimedia/lwks/lwks.SlackBuild52
-rw-r--r--multimedia/lwks/lwks.info10
-rw-r--r--multimedia/lwks/slack-desc19
4 files changed, 132 insertions, 0 deletions
diff --git a/multimedia/lwks/README b/multimedia/lwks/README
new file mode 100644
index 0000000000..9a1db1cf82
--- /dev/null
+++ b/multimedia/lwks/README
@@ -0,0 +1,51 @@
+Lightworks is a cross-platform industry-grade NLE, having been used for films including Pulp Fiction, Hugo, and The King's Speech.
+It is free to use, but for additional codec support and technical support, you can purchase a variety of licenses from http://lwks.com
+
+Lightworks features supports a wide variety of container formats (including Quicktime, MXF OPAtom for native Avid support, mp4, avi, mpg, and more)
+GPU-accelerated colour correction, EDL export, automatic backups, metadata exchange, project sharing (in Pro version only),
+AAF interchange for Avid Media Composer, Pro Tools, and Resolve (Pro only), RED and DPX imports, SD/HD/2k preview, and much more.
+
+Lightworks is 64bit only.
+
+Registration:
+-------------
+
+Using Lightworks requires registration on lwks.com. It is free, but you must register in order to use the application.
+You can register in advance or after you launch Lightworks.
+
+
+Graphics Cards:
+---------------
+
+Lightworks will work with Nvidia or AMD graphic cards, but Nvidia is recommended. Lightworks requires proprietary Nvidia drivers.
+
+
+Requires:
+---------
+
+ffmpeg
+
+
+System Recommendations:
+-----------------------
+
+From lwks.com:
+
+- Intel i7 chipset or faster, fast AMD chipset
+- 3GB RAM or higher
+- Two high-resolution displays (1920 x1080) or above
+- PCI Express graphics card (NVIDIA or ATI) with 1GB or higher
+- Separate media and system drives (these can be internal or external as long as the the interface is suitably fast
+- Compatible sound card
+- 200MB Disk space for Lightworks installation
+- (Optional) a Lightworks Console.
+- (Optional) a Lightworks keyboard.
+
+
+From Klaatu:
+
+I run this on two machines:
+- AMD FX-6300 / 8gb RAM / Nvidia GeForce GT 630 (proprietary drivers)
+- Intel i7 / 16gb RAM / Intel HD Mobile 4000 (laptop)
+
+Both edit HD footage without a problem. Your mileage may vary.
diff --git a/multimedia/lwks/lwks.SlackBuild b/multimedia/lwks/lwks.SlackBuild
new file mode 100644
index 0000000000..993ad92545
--- /dev/null
+++ b/multimedia/lwks/lwks.SlackBuild
@@ -0,0 +1,52 @@
+#!/bin/sh
+# Slackware build script for lwks
+
+# Copyright 2015 Klaatu Wellington NZ
+# GNU All-Permissive License
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved. This file is offered as-is,
+# without any warranty.
+
+PRGNAM=lwks
+VERSION=${VERSION:-12.0.3.I}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=amd64
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf data.tar.gz
+ar -p $CWD/$PRGNAM-$VERSION-$ARCH.deb data.tar.gz > lwks.tar.gz
+tar -xzvf $PRGNAM.tar.gz -C $TMP
+cd usr/
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+## install
+mkdir -p $PKG/usr/bin $PKG/usr/lib64 $PKG/usr/share/fonts/TTF
+cp -v $TMP/usr/bin/lightworks $PKG/usr/bin/
+cp -rv $TMP/usr/lib/* $PKG/usr/lib64
+cp -rv $TMP/usr/share/applications $PKG/usr/share/
+cp -rv $TMP/usr/share/fonts/truetype/lw3.ttf $PKG/usr/share/fonts/TTF/
+cp -rv $TMP/usr/share/lightworks $PKG/usr/share/
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-x86_64-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/lwks/lwks.info b/multimedia/lwks/lwks.info
new file mode 100644
index 0000000000..4a34078c26
--- /dev/null
+++ b/multimedia/lwks/lwks.info
@@ -0,0 +1,10 @@
+PRGNAM="lwks"
+VERSION="12.0.3.I"
+HOMEPAGE="http://lwks.com"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="http://www.lwks.com/dmpub/lwks-12.0.3.I-amd64.deb"
+MD5SUM_x86_64="655c91254d1687e5fcec88e7b0657e6c"
+REQUIRES=""
+MAINTAINER="klaatu"
+EMAIL="klaatu@member.fsf.org"
diff --git a/multimedia/lwks/slack-desc b/multimedia/lwks/slack-desc
new file mode 100644
index 0000000000..d1d320022d
--- /dev/null
+++ b/multimedia/lwks/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+lwks: Lightworks (professional NLE)
+lwks:
+lwks: Professional video editor used for films LA Confidential,
+lwks: Pulp Fiction, Heat, Road to Perdition, Hugo, The King's Speech,
+lwks: and many more. Features include reliable and efficient editing,
+lwks: titling, effects, basic compositing, colour correction, and much
+lwks: more.
+lwks:
+lwks: Purchase a Pro License from lwks.com for additional codec and
+lwks: technical support.
+lwks: